#!/usr/bin/perl
package input;

=head1 Input/File

Implementation of input method file://.

Justa wrapper for built-in functions.

=cut

use strict;
use warnings;
use vars qw(
	$loaded
);

# i see no better way to check if input module loaded.
$loaded=1;

print $/, __FILE__, q(: Using file input source) if ($::DEBUG);

return (1);

=head1 Functions

=cut

=head2 open $path

Opens input source specified by $URL.

Returns source handler to use with other functions.

=cut

sub open {
	my ($path) = @_;
	open(FILE, "<$path");
	return *FILE;
}


=head2 close $handler

Closes input source and releases all structures.

=cut

sub close {
	my ($handler) = @_;
	close($handler);
}

=head2 fetch $handler

Fetches next record from input source.

Returns some structure, containing raw fetched data.

=cut

sub fetch {
	my ($handler) = @_;
	my $line = <$handler>;
	chomp $line if ($line);
	return $line;
}


=head1 AUTHOR

QMax E<lt>qmax@mail.ruE<gt>

=cut

