#!/usr/bin/perl
package input;

=head1 Input/Foo

Implementation of input method Foo.

=cut

use strict;
use warnings;
use vars qw(
	$loaded
);

BEGIN
{
	# i see no better way to check if input module loaded.
	$loaded=1;
}

=head1 Functions

=cut

=head2 open $url

Opens input source specified by $URL.

Returns source handler to use with other functions.

=cut

sub open {
	my ($url) = @_;
}


=head2 close $handler

Closes input source and releases all structures.

=cut

sub close {
	my ($handler) = @_;
}

=head2 fetch $handler

Fetches next record from input source.

Returns some structure, containing raw fetched data.

=cut

sub fetch {
	my ($handler) = @_;
}


=head1 AUTHOR

QMax E<lt>qmax@mail.ruE<gt>

=cut

